using System.Collections.Generic;

namespace Stat.IDAL
{
    public interface INavigate
    {
        bool Insert(Model.Navigate model);
        bool Update(Model.Navigate model);
        bool Delete(int id);
        IList<Model.Navigate> Get();
        IList<Model.Navigate> Get(int id);
        IList<Model.Navigate> Get(int Sum, int IsPass);
        IList<Model.Navigate> GetTop1(int Num, int IsTop);
    }
}
